# ext2fs.c File Reference

## Detailed Description

General ext2/ext3 file system functions.

`#include "fs_tools_i.h"`
`#include "ext2fs.h"`

## Defines

#define | INODE_TABLE_SIZE(ext2fs)
#define | EXT2FS_INDIR_SIZ 64

## Functions

uint8_t | ext2fs_inode_walk (TSK_FS_INFO *fs, INUM_T start_inum, INUM_T end_inum, TSK_FS_INODE_FLAG_ENUM flags, TSK_FS_INODE_WALK_CB action, void *ptr)
uint8_t | ext2fs_block_walk (TSK_FS_INFO *fs, DADDR_T start_blk, DADDR_T end_blk, TSK_FS_BLOCK_FLAG_ENUM flags, TSK_FS_BLOCK_WALK_CB action, void *ptr)
uint8_t | ext2fs_file_walk (TSK_FS_INFO *fs, TSK_FS_INODE *inode, uint32_t type, uint16_t id, TSK_FS_FILE_FLAG_ENUM flags, TSK_FS_FILE_WALK_CB action, void *ptr)
TSK_FS_INFO * | ext2fs_open (TSK_IMG_INFO *img_info, SSIZE_T offset, TSK_FS_INFO_TYPE_ENUM ftype, uint8_t test)

## Define Documentation

#define INODE_TABLE_SIZE | ( | ext2fs |  | ) |

Value:

    ((tsk_getu32(fs->endian, ext2fs->fs->s_inodes_per_group) * ext2fs->inode_size - 1) \
               / fs->block_size + 1)